# Gobi

Gobi is a minimal desert adventure game in the lineage of early strategy games like The Oregon Trail. It is based on my memories of a shareware game I used to play on my Mac System 7 in the mid-90s, a game that came on a CD-Rom with 100 other shareware games. I haven't been able to find that game online and can't remember its title, so I've attempted to rebuild it from my memory. The graphics and sound were different. This is my take. Rather than attempt to remake the original graphics I have opted to use photographs from the early 1900s.

 The photographs come from *[Ruins of Desert Cathay](https://archive.org/details/ruinsofdesertcat01stei): personal narrative of explorations in Central Asia and westernmost China*, written by Hungarian-born British archaeologist Aurel Stein in 1912. Stein was celebrated as an archaeologist, particularly for his *discovery* of the Mogao caves (Cave of the Thousand Buddhas) and his scholarship on the thousands of historical manuscripts interred there. In today's light he was also clearly a plunderer as many of these manuscripts were removed and brought to the UK. Stein largely lived in a tent in the region of Kashmir in the Himalayas, spending time translating found texts. During one of his many exhibitions he lost several toes to frostbite.
 
 The game is quite simple though enough of a challenge to beat. It is just as much a resource management strategey game as *adventure*. Just as The Oregon Trail was originally a text game in BASIC, this game could function as an even much simpler text game.
 
I welcome further implementations of this *desert adventure game*.

Bug reports welcome.

### License

cc0 public domain 

“No Rights Reserved” except for credited items below.

Suggested postcardware: If you enjoy this, or know the original reference, please write to me!

### Credits

[p5.js](https://p5js.org/) is licensed under the GNU Lesser General Public License 1.2.

The music is [Uighur Traditional music, recording 2. (Instrumental)](https://freesound.org/people/RTB45/sounds/192677/) by RTB45 on Freesound.com, recorded in Turpan/Turfan/Tulufan. 

Excerpt from [Desert insects](https://freesound.org/people/bruno.auzet/sounds/528081/) by Bruno Auzet on Freesound.com, recorded in Biskra, Algeria.

Excerpt from [CamelTalk](https://freesound.org/people/acclivity/sounds/16932/) by acclivity on Freesound.org.

Excerpt from [Pampa Salitrera - Footsteps in the Desert](https://freesound.org/people/Diegolar/sounds/411771/) by Diegolar

Gobi was programmed in Javascript with the p5.js library and p5.sound  Beware my spaghetti code.
